Alokai

SapccApiGetReplenishmentOrderHistoryRequest

Request parameters for getReplenishmentOrderHistory operation in SapccApi. SapccApiGetReplenishmentOrderHistoryRequest

interface SapccApiGetReplenishmentOrderHistoryRequest {
	readonly baseSiteId: string;
	readonly currentPage?: number;
	readonly fields?: string;
	readonly pageSize?: number;
	readonly replenishmentOrderCode: string;
	readonly sort?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetReplenishmentOrderHistory
currentPageOptionalnumberCurrent result page. Default value is 0. {number} SapccApiGetReplenishmentOrderHistory
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetReplenishmentOrderHistory
pageSizeOptionalnumberNumber of results returned per page. {number} SapccApiGetReplenishmentOrderHistory
replenishmentOrderCodeRequiredstringReplenishment order code. {string} SapccApiGetReplenishmentOrderHistory
sortOptionalstringSorting method applied to the return results. {string} SapccApiGetReplenishmentOrderHistory
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetReplenishmentOrderHistory

On this page